/* Next available MSG number is  16 */

//----------------------------------------------------------------------------
//
//   APPLOAD.DCL   Version 1.0
//
//   Copyright (C) 1991-1992 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------
//
//    APPLOAD.DCL - Dialogue definitions for APPLOAD.LSP 
//
//----------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

appload : dialog	{
	aspect_ratio = 0;
	label = /*MSG1*/"Load AutoLISP and ADS Files";
	: row {
	    : column {
		   : list_box {
		       label = /*MSG2*/"Files to Load" ;
                 mnemonic = /*MSG3*/"i";
		       key = "fp_list";
		       width =  50;
		       height = 10;
		       multiple_select = true;
		   }
	     }
          : column {
              spacer_1;
	         : button {
                  label = /*MSG4*/"File...";
                  key = "add_to_list";
                  mnemonic = /*MSG5*/"F";
              }
 		    : button {
		        label = /*MSG6*/"Remove" ;
			   key   = "remove_item" ;
                  mnemonic = /*MSG7*/"R";
			}
 		    : toggle {
		        label = /*MSG8*/"Save List" ;
			   key   = "save_list" ;
                  mnemonic = /*MSG9*/"S";
			}
               spacer_1;
		}
     }
     spacer_1;
     : row {
         spacer_1;
         : button {
             label = /*MSG10*/"Load";
             key = "load";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             mnemonic = /*MSG11*/"L";
         }
         : button {
             label = /*MSG12*/"Unload";
             key = "unload";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             mnemonic = /*MSG13*/"U";
         }
         : button {
             label = /*MSG14*/"Exit";
             key = "cancel";
             fixed_width     = true;
             width           = 8;
             alignment = centered;
             is_cancel       = true;
             mnemonic = /*MSG15*/"E";
         }
         help_button;
         spacer_1;
     }
	errtile;
}

