/* Next available MSG number is  28 */

//----------------------------------------------------------------------------
//
//   DDOSNAP.DCL   Version 1.0
//
//   Copyright (C) 1991-1992 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

ddosnap : dialog {
    label = /*MSG1*/"Running Object Snap";
    : boxed_row {
        label = /*MSG2*/"Select Settings";
        : column {
            : toggle {
                label = /*MSG3*/"Endpoint";
                key = "endpoint";
                mnemonic = /*MSG17*/"E";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG4*/"Midpoint";
                key = "midpoint";
                mnemonic = /*MSG18*/"M";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG5*/"Center";
                key =  "center";
                mnemonic = /*MSG19*/"C";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG6*/"Node";
                key = "node";
                mnemonic = /*MSG20*/"N";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG7*/"Quadrant";
                key = "quadrant";
                mnemonic = /*MSG21*/"Q";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG8*/"Intersection";
                key = "intersection";
                mnemonic = /*MSG22*/"I";
                fixed_width = true;
            }  
        }
        : column {
            : toggle {
                label = /*MSG9*/"Insertion";
                key = "insertion";
                mnemonic = /*MSG23*/"s";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG10*/"Perpendicular";
                key = "perpendicular";
                mnemonic = /*MSG24*/"P";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG11*/"Tangent";
                key = "tangent";
                mnemonic = /*MSG25*/"T";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG12*/"Nearest";
                key = "nearest";
                mnemonic = /*MSG26*/"a";
                fixed_width = true;
            }  
            : toggle {
                label = /*MSG13*/"Quick";
                key = "quick";
                mnemonic = /*MSG27*/"u";
                fixed_width = true;
            }  
            : text {
               label = " ";
            }
        }
    }
    : boxed_row {
        label = /*MSG14*/"Aperture Size";
        spacer_0;
        : column {
            spacer_0;
            fixed_width = true;
            : text {
                  label = /*MSG15*/"Min         Max";
                  alignment = centered;
            }
            : slider {
                key = "aperture_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = "aperture_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    ok_cancel_help;
}
